## canl-c 1.0.4

=== Makefile ===
top_srcdir=.
stagedir=$(pwd)
PREFIX=
prefix=/usr
libdir=lib

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

VPATH=${top_srcdir}/src/:${top_srcdir}/src/proxy/:${top_srcdir}/examples
LIBCARES_LIBS?=-lcares  
LIBSSL_LIBS?=-lssl

CC=gcc
YACC=bison -y
LEX=flex

COMPILE=libtool --mode=compile ${CC} ${CFLAGS}
LINK=libtool --mode=link ${CC} ${LDFLAGS}
INSTALL=libtool --mode=install install

CFLAGS_LIB=-fPIC -I${top_srcdir}/src ${LIBCARES_CFLAGS} ${LIBSSL_CFLAGS} -I.
LFLAGS_LIB=-shared ${LIBCARES_LIBS} ${LIBSSL_LIBS}

CFLAGS_CLI=-I${top_srcdir}/src -I.
LFLAGS_CLI=-L. -lcanl_c

CFLAGS_SER=-Wall -g -I${top_srcdir}/src -I.
LFLAGS_SER=-L. -lcanl_c

CFLAGS_PRX=-Wall -g -I${top_srcdir}/src -I.
LFLAGS_PRX=-L. -lcanl_c

CFLAGS_DEL=-Wall -g -I${top_srcdir}/src -I.
LFLAGS_DEL=-L. -lcanl_c -lcrypto 

HEAD_CANL=canl.h canl_locl.h canl_err.h canl_cred.h canl_ssl.h canl_mech_ssl.h

SRC_CLI=canl_sample_client.c
HEAD_CLI=canl.h
OBJ_CLI=canl_sample_client.lo

SRC_SER=canl_sample_server.c
HEAD_SER=canl.h
OBJ_SER=canl_sample_server.lo

SRC_PRX=grid-proxy-init.c
HEAD_PRX=canl.h canl_cred.h
OBJ_PRX=canl_proxy_init.lo

SRC_DEL=delegation.c
HEAD_DEL=canl.h canl_cred.h
OBJ_DEL=canl_delegation.lo

CFLAGS:=-Wall -g -I${top_srcdir}/src/proxy -I. ${CFLAGS}

LIBCANL=libcanl_c.la

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
#
offset=0
version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${module.version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
major:=${shell \
	perl -e '$$,=":"; @F=split "\\.","${module.version}"; print $$F[0]+$$F[1]+${offset}' }

all: ${LIBCANL} server client proxy delegation 

${LIBCANL}:\
	canl.lo canl_err.lo canl_dns.lo canl_ssl.lo canl_cert.lo canl_cred.lo			\
	canl_err_desc.lo doio.lo evaluate.lo list.lo normalize.lo proxycertinfo.lo		\
	scutils.lo sslutils.lo data.lo namespaces_parse.lo namespaces_lex.lo			\
	signing_policy_parse.lo signing_policy_lex.lo
	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} $+ ${LFLAGS_LIB} -o $@

%.lo: %.y
	${YACC} -d ${YFLAGS} $<
	mv y.tab.c $*.c
	mv y.tab.h $*.h
	${COMPILE} -c ${CFLAGS_LIB} $*.c

%.c: %.l
#	${LEX} -t $< > $@
	cp `echo $< | sed -e 's/\.l$$/.c.in/'` $@

%.lo: %.c ${HEAD_CANL} 
	${COMPILE} -c $< ${CFLAGS_LIB} -o $@

client: ${OBJ_CLI}
	${LINK} $< ${LFLAGS_CLI} -o $@

${OBJ_CLI}: ${SRC_CLI} ${HEAD_CLI} ${LIBCANL}
	${COMPILE} -c ${top_srcdir}/examples/${SRC_CLI} ${CFLAGS_CLI} -o $@

server: ${OBJ_SER}
	${LINK} $< ${LFLAGS_SER} -o $@

${OBJ_SER}: ${SRC_SER} ${HEAD_SER} ${LIBCANL}
	${COMPILE} -c ${top_srcdir}/examples/${SRC_SER} ${CFLAGS_SER} -o $@

proxy: ${OBJ_PRX}
	${LINK} $< ${LFLAGS_PRX} -o $@

${OBJ_PRX}: ${SRC_PRX} ${HEAD_PRX} ${LIBCANL}
	${COMPILE} -c ${top_srcdir}/examples/${SRC_PRX} ${CFLAGS_PRX} -o $@

delegation: ${OBJ_DEL}
	${LINK} $< ${LFLAGS_DEL} -o $@

${OBJ_DEL}: ${SRC_DEL} ${HEAD_DEL} ${LIBCANL}
	${COMPILE} -c ${top_srcdir}/examples/${SRC_DEL} ${CFLAGS_DEL} -o $@

canl_err.h: canl_error_codes 
	${top_srcdir}/src/gen_err_codes.pl < $^ > $@

canl_err_desc.c: canl_error_codes canl_error_desc
	${top_srcdir}/src/gen_err_desc.pl $^ > $@

check:

install: all
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include
	${INSTALL} -m 755 server ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-server
	${INSTALL} -m 755 client ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-client
	${INSTALL} -m 755 proxy \
		${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-proxy-init
	${INSTALL} -m 755 delegation \
		${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-delegation
	${INSTALL} -m 755 ${LIBCANL} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 644 ${top_srcdir}/src/canl.h \
		${top_srcdir}/src/canl_ssl.h canl_err.h \
		${DESTDIR}${PREFIX}${prefix}/include

stage: all
	$(MAKE) install PREFIX=${stagedir}

clean:
	rm -rfv *.o *.lo ${LIBCANL} .libs client server proxy delegation \
		${top_srcdir}/*.c ${top_srcdir}/*.h lex.backup stage

distclean:
	rm -rvf Makefile.inc config.status project/changelog *.spec debian/

=== debian/changelog ===
canl-c (1.0.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 22:00:59 +0200

=== debian/control ===
Source: canl-c
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), bison, chrpath, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libcanl-c1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the c part of the EMI caNl -- the Common Authentication
 Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Depends: libcanl-c1 (= ${binary:Version}), libkrb5-dev, ${misc:Depends}
Description: Development files for EMI caNl
 This package contains development libraries and header files for EMI caNL.

Package: libcanl-c-examples
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Example programs of EMI caNl
 This package contains client and server examples of EMI caNL.

Package: canl-c-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c1 (= ${binary:Version}), ${misc:Depends}
Description: EMI caNl debugging symbols
 This package contains debugging symbols for EMI caNl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module canl.c
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=canl-c-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## canl-c 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,43 @@
 top_srcdir=.
-stagedir=$(pwd)
+stagedir=$(shell pwd)
+package=canl-c
 PREFIX=
 prefix=/usr
 libdir=lib
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
-VPATH=${top_srcdir}/src/:${top_srcdir}/src/proxy/:${top_srcdir}/examples
+version=${module.version}
+
+VPATH=${top_srcdir}/src/:${top_srcdir}/src/proxy/:${top_srcdir}/examples:${top_srcdir}/doc/src
+KPATH = TEXINPUTS=".:${top_srcdir}/doc/src//:"
+KPATHBIB = BIBINPUTS=".:$(VPATH)//:"
 LIBCARES_LIBS?=-lcares  
 LIBSSL_LIBS?=-lssl
 
 CC=gcc
 YACC=bison -y
 LEX=flex
+PDFLATEX = $(KPATH) pdflatex
+BIBTEX = $(KPATHBIB) bibtex
 
 COMPILE=libtool --mode=compile ${CC} ${CFLAGS}
 LINK=libtool --mode=link ${CC} ${LDFLAGS}
 INSTALL=libtool --mode=install install
 
+SOURCES=\
+	doc/src/*.cls doc/src/*.tex doc/src/images/*.pdf \
+	examples/*.c \
+	src/canl_error_* src/*.c src/*.h src/*.pl \
+	src/proxy/*.c src/proxy/*.h src/proxy/*.in src/proxy/*.y src/proxy/*.l \
+	Makefile
+SOURCES_EXEC=src/*.pl
+
 CFLAGS_LIB=-fPIC -I${top_srcdir}/src ${LIBCARES_CFLAGS} ${LIBSSL_CFLAGS} -I.
-LFLAGS_LIB=-shared ${LIBCARES_LIBS} ${LIBSSL_LIBS}
+LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS}
 
 CFLAGS_CLI=-I${top_srcdir}/src -I.
 LFLAGS_CLI=-L. -lcanl_c
@@ -34,7 +51,7 @@
 CFLAGS_DEL=-Wall -g -I${top_srcdir}/src -I.
 LFLAGS_DEL=-L. -lcanl_c -lcrypto 
 
-HEAD_CANL=canl.h canl_locl.h canl_err.h canl_cred.h canl_ssl.h canl_mech_ssl.h
+HEAD_CANL=canl.h canl_locl.h canl_err.h canl_cred.h canl_ssl.h canl_mech_ssl.h canl_ocsp.h
 
 SRC_CLI=canl_sample_client.c
 HEAD_CLI=canl.h
@@ -66,16 +83,19 @@
 #
 offset=0
 version_info:=-version-info ${shell \
-	perl -e '$$,=":"; @F=split "\\.","${module.version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
+	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 major:=${shell \
-	perl -e '$$,=":"; @F=split "\\.","${module.version}"; print $$F[0]+$$F[1]+${offset}' }
+	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset}' }
 
-all: ${LIBCANL} server client proxy delegation 
+all: ${LIBCANL} server client proxy delegation doc
+
+doc: canl.pdf
 
 ${LIBCANL}:\
-	canl.lo canl_err.lo canl_dns.lo canl_ssl.lo canl_cert.lo canl_cred.lo			\
-	canl_err_desc.lo doio.lo evaluate.lo list.lo normalize.lo proxycertinfo.lo		\
-	scutils.lo sslutils.lo data.lo namespaces_parse.lo namespaces_lex.lo			\
+	canl_err_desc.lo canl.lo canl_err.lo canl_dns.lo canl_ssl.lo \
+	canl_cert.lo canl_cred.lo canl_ocsp.lo\
+	doio.lo evaluate.lo list.lo normalize.lo proxycertinfo.lo\
+	scutils.lo sslutils.lo data.lo namespaces_parse.lo namespaces_lex.lo\
 	signing_policy_parse.lo signing_policy_lex.lo
 	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} $+ ${LFLAGS_LIB} -o $@
 
@@ -91,6 +111,14 @@
 
 %.lo: %.c ${HEAD_CANL} 
 	${COMPILE} -c $< ${CFLAGS_LIB} -o $@
+
+%.pdf: %.tex
+	$(PDFLATEX) $<
+#	$(BIBTEX) `basename $< .tex`
+	$(PDFLATEX) $<
+	$(PDFLATEX) $<
+
+canl.tex: ver.tex
 
 client: ${OBJ_CLI}
 	${LINK} $< ${LFLAGS_CLI} -o $@
@@ -122,12 +150,16 @@
 canl_err_desc.c: canl_error_codes canl_error_desc
 	${top_srcdir}/src/gen_err_desc.pl $^ > $@
 
+ver.tex:
+	printf "\134def\134version{${version}}\n" > ver.tex
+
 check:
 
 install: all
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include
+	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
 	${INSTALL} -m 755 server ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-server
 	${INSTALL} -m 755 client ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-client
 	${INSTALL} -m 755 proxy \
@@ -137,14 +169,21 @@
 	${INSTALL} -m 755 ${LIBCANL} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	${INSTALL} -m 644 ${top_srcdir}/src/canl.h \
 		${top_srcdir}/src/canl_ssl.h canl_err.h \
+		${top_srcdir}/src/canl_cred.h \
 		${DESTDIR}${PREFIX}${prefix}/include
+	${INSTALL} -m 644 canl.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
 
 stage: all
 	$(MAKE) install PREFIX=${stagedir}
 
 clean:
 	rm -rfv *.o *.lo ${LIBCANL} .libs client server proxy delegation \
-		${top_srcdir}/*.c ${top_srcdir}/*.h lex.backup stage
+		*.c *.h lex.backup stage \
+		canl.aux canl.log canl.pdf canl.out canl.toc ver.tex \
+		canl.bbl canl.blg
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc config.status project/changelog *.spec debian/
+
+.PHONY: default all doc check install stage clean distclean dist distcheck

=== debian/changelog ===
canl-c (2.0.2-0head.3) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 05 Dec 2012 23:17:54 +0100

=== debian/control ===
Source: canl-c
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), bison, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
Standards-Version: 3.9.1
Section: libs
Homepage: http://www.eu-emi.eu
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libcanl-c2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the C part of the EMI caNl -- the Common Authentication
 Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Depends: libcanl-c2 (= ${binary:Version}), libkrb5-dev, ${misc:Depends}
Description: Development files for EMI caNl
 This package contains development libraries and header files for EMI caNL.

Package: libcanl-c-examples
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Example programs of EMI caNl
 This package contains client and server examples of EMI caNL.

Package: canl-c-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c2 (= ${binary:Version}), ${misc:Depends}
Description: EMI caNl debugging symbols
 This package contains debugging symbols for EMI caNl.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_dbg=canl-c-dbg
+p_dev=libcanl-c-dev
+p_examples=libcanl-c-examples
+p_lib=libcanl-c2
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -36,16 +41,20 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -vf debian/tmp/usr/lib/*.la
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	mkdir -p debian/$(p_examples)/usr/share/doc
+	mv debian/tmp/usr/share/doc/canl-c-2.0.2 debian/$(p_dev)/usr/share/doc/$(p_dev)
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	ln -s $(p_lib) debian/$(p_examples)/usr/share/doc/$(p_examples)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -53,7 +62,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=canl-c-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## canl-c 2.0.8

=== debian/changelog ===
canl-c (2.0.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sun, 03 Feb 2013 20:26:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), bison, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
+Build-Depends: debhelper (>= 7.0.50~), bison, flex, libc-ares-dev, heimdal-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.eu-emi.eu
@@ -21,7 +21,7 @@
 Package: libcanl-c-dev
 Section: libdevel
 Architecture: any
-Depends: libcanl-c2 (= ${binary:Version}), libkrb5-dev, ${misc:Depends}
+Depends: libcanl-c2 (= ${binary:Version}), heimdal-dev, ${misc:Depends}
 Description: Development files for EMI caNl
  This package contains development libraries and header files for EMI caNL.
 
@@ -30,7 +30,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Example programs of EMI caNl
- This package contains client and server examples of EMI caNL.
+ This package contains client and server examples of EMI caNl.
 
 Package: canl-c-dbg
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -45,7 +45,7 @@
 	mkdir -p debian/$(p_dbg)/usr/share/doc
 	mkdir -p debian/$(p_dev)/usr/share/doc
 	mkdir -p debian/$(p_examples)/usr/share/doc
-	mv debian/tmp/usr/share/doc/canl-c-2.0.2 debian/$(p_dev)/usr/share/doc/$(p_dev)
+	mv debian/tmp/usr/share/doc/canl-c-2.0.8 debian/$(p_dev)/usr/share/doc/$(p_dev)
 	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 	ln -s $(p_lib) debian/$(p_examples)/usr/share/doc/$(p_examples)

## canl-c 2.1.2

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	examples/*.c \
 	src/canl_error_* src/*.c src/*.h src/*.pl \
 	src/proxy/*.c src/proxy/*.h src/proxy/*.in src/proxy/*.y src/proxy/*.l \
-	Makefile
+	Makefile README
 SOURCES_EXEC=src/*.pl
 
 CFLAGS_LIB=-fPIC -I${top_srcdir}/src ${LIBCARES_CFLAGS} ${LIBSSL_CFLAGS} -I.
@@ -172,6 +172,7 @@
 		${top_srcdir}/src/canl_cred.h \
 		${DESTDIR}${PREFIX}${prefix}/include
 	${INSTALL} -m 644 canl.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
+	${INSTALL} -m 644 README ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
 
 stage: all
 	$(MAKE) install PREFIX=${stagedir}

=== debian/changelog ===
canl-c (2.1.2-1) unstable; urgency=low

  * Initial package for debian (Closes: #724665)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Sep 2013 06:44:52 +0200

=== debian/control ===
Source: canl-c
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper, bison, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
Standards-Version: 3.9.4
Homepage: http://www.eu-emi.eu/

Package: libcanl-c2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the C part of the EMI caNl -- the Common Authentication Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Depends: libcanl-c2 (= ${binary:Version}), libkrb5-dev, ${misc:Depends}
Description: Development files for EMI caNl
 This package contains development libraries and header files for EMI caNl.

Package: libcanl-c-examples
Section: misc
Architecture: any
Depends: libcanl-c2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Example programs of EMI caNl
 This package contains client and server examples of EMI caNl.

Package: libcanl-c-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation files for EMI caNl
 This package contains documentation files for EMI caNl.

Package: libcanl-c2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for EMI caNl library
 This package contains debugging symbols for EMI caNl library.

Package: libcanl-c-examples-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c-examples (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for EMI caNl examples
 This package contains debugging symbols for EMI caNl client and server
 examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

p_dev=libcanl-c-dev
p_examples=libcanl-c-examples
p_lib=libcanl-c2

configure: configure-stamp

configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --root=/ --prefix=/usr --libdir=lib --module canl.c
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f Makefile.inc config.status canl-c.spec
	rm -f configure-stamp build-stamp
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -f debian/tmp/usr/lib/*.la
	# Documentation is installed by dh_installdocs
	rm -rf debian/tmp/usr/share/doc

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --fail-missing
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -p $(p_examples) --link $(p_lib)
	dh_installdocs -p $(p_lib)-dbg --link $(p_lib)
	dh_installdocs -p $(p_examples)-dbg --link $(p_examples)
	dh_installdocs -a
	dh_installchangelogs -a project/ChangeLog
	dh_install -a --fail-missing
	dh_link -a
	dh_strip -p$(p_examples) --dbg-package=$(p_examples)-dbg
	dh_strip -p$(p_lib) --dbg-package=$(p_lib)-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install

## canl-c 2.1.5

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,14 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 VPATH=${top_srcdir}/src/:${top_srcdir}/src/proxy/:${top_srcdir}/examples:${top_srcdir}/doc/src
 KPATH = TEXINPUTS=".:${top_srcdir}/doc/src//:"
 KPATHBIB = BIBINPUTS=".:$(VPATH)//:"
 LIBCARES_LIBS?=-lcares  
-LIBSSL_LIBS?=-lssl
+LIBSSL_LIBS?=-lssl -lcrypto
+LIBDL_LIBS?=-ldl
 
 CC=gcc
 YACC=bison -y
@@ -37,7 +39,7 @@
 SOURCES_EXEC=src/*.pl
 
 CFLAGS_LIB=-fPIC -I${top_srcdir}/src ${LIBCARES_CFLAGS} ${LIBSSL_CFLAGS} -I.
-LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS}
+LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS} ${LIBDL_LIBS}
 
 CFLAGS_CLI=-I${top_srcdir}/src -I.
 LFLAGS_CLI=-L. -lcanl_c
@@ -99,11 +101,13 @@
 	signing_policy_parse.lo signing_policy_lex.lo
 	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} $+ ${LFLAGS_LIB} -o $@
 
-%.lo: %.y
-	${YACC} -d ${YFLAGS} $<
-	mv y.tab.c $*.c
-	mv y.tab.h $*.h
-	${COMPILE} -c ${CFLAGS_LIB} $*.c
+%.c: %.y
+	-mkdir $*
+	(cd $*; \
+	 ${YACC} -d ${YFLAGS} ../$< && \
+	 mv y.tab.c ../$*.c && \
+	 mv y.tab.h ../$*.h)
+	rm -r $*
 
 %.c: %.l
 #	${LEX} -t $< > $@
@@ -159,7 +163,7 @@
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
+	mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 755 server ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-server
 	${INSTALL} -m 755 client ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-client
 	${INSTALL} -m 755 proxy \
@@ -171,8 +175,8 @@
 		${top_srcdir}/src/canl_ssl.h canl_err.h \
 		${top_srcdir}/src/canl_cred.h \
 		${DESTDIR}${PREFIX}${prefix}/include
-	${INSTALL} -m 644 canl.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
-	${INSTALL} -m 644 README ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
+	${INSTALL} -m 644 canl.pdf ${DESTDIR}${PREFIX}${docdir}
+	${INSTALL} -m 644 README ${DESTDIR}${PREFIX}${docdir}
 
 stage: all
 	$(MAKE) install PREFIX=${stagedir}

=== debian/changelog ===
canl-c (2.1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761736.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:16:55 +0000

canl-c (2.1.5-1) unstable; urgency=medium

  * Update to version 2.1.5
  * Drop patch canl-c-unsigned.patch applied upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Jul 2014 08:53:59 +0200

canl-c (2.1.4-1) unstable; urgency=medium

  * Update to version 2.1.4
  * Drop patch canl-c-linking.patch applied upstream
  * Fix signedness difference in extern declaration (Closes: #748033)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 May 2014 09:31:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper, bison, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
-Standards-Version: 3.9.4
+Build-Depends: debhelper, bison, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool, libtool-bin, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
+Standards-Version: 3.9.5
 Homepage: http://www.eu-emi.eu/
 
 Package: libcanl-c2

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	dh_installdocs -p $(p_lib)-dbg --link $(p_lib)
 	dh_installdocs -p $(p_examples)-dbg --link $(p_examples)
 	dh_installdocs -a
-	dh_installchangelogs -a project/ChangeLog
+	dh_installchangelogs -a ChangeLog
 	dh_install -a --fail-missing
 	dh_link -a
 	dh_strip -p$(p_examples) --dbg-package=$(p_examples)-dbg

## canl-c 2.1.6

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 SOURCES_EXEC=src/*.pl
 
 CFLAGS_LIB=-fPIC -I${top_srcdir}/src ${LIBCARES_CFLAGS} ${LIBSSL_CFLAGS} -I.
-LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS} ${LIBDL_LIBS}
+LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS} ${LIBDL_LIBS} -lpthread
 
 CFLAGS_CLI=-I${top_srcdir}/src -I.
 LFLAGS_CLI=-L. -lcanl_c

=== debian/changelog ===
canl-c (2.1.6-1+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 25 Jun 2015 13:50:47 +0200

=== debian/control ===
Source: canl-c
Priority: optional
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), bison, flex, libc-ares-dev, heimdal-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
Standards-Version: 3.9.1
Section: net
Homepage: http://www.eu-emi.eu

Package: libcanl-c2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the C part of the EMI caNl -- the Common Authentication
 Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Depends: libcanl-c2 (= ${binary:Version}), heimdal-dev, ${misc:Depends}
Description: Development files for EMI caNl
 This is the C part of the EMI caNl -- the Common Authentication
 Library.
 .
 This package contains development libraries and header files for EMI caNl.

Package: libcanl-c-examples
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Example programs of EMI caNl
 This is the C part of the EMI caNl -- the Common Authentication
 Library.
 .
 This package contains client and server examples of EMI caNl.

Package: libcanl-c2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c2 (= ${binary:Version}), ${misc:Depends}
Replaces: canl-c-dbg (<< 2.0.10)
Breaks: canl-c-dbg (<< 2.0.10)
Description: Debugging symbols for EMI caNl library
 This is the C part of the EMI caNl -- the Common Authentication
 Library.
 .
 This package contains debugging symbols for EMI caNl library.

Package: libcanl-c-examples-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c-examples (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for EMI caNl examples
 This is the C part of the EMI caNl -- the Common Authentication
 Library.
 .
 This package contains debugging symbols for EMI caNl client and server
 examples.

Package: canl-c-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: libcanl-c2-dbg, libcanl-c-examples-dbg, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=canl-c
p_dev=libcanl-c-dev
p_examples=libcanl-c-examples
p_lib=libcanl-c2
p_dummy=canl-c-dbg

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --project=emi --module=canl.c

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip -p$(p_examples) --dbg-package=$(p_examples)-dbg
	dh_strip -p$(p_lib) --dbg-package=$(p_lib)-dbg

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la
	# Documentation is installed by dh_installdocs
	rm -rf debian/tmp/usr/share/doc

override_dh_installdocs:
	dh_installdocs -p$(p_lib)
	dh_installdocs -p$(p_dev)
	dh_installdocs -p$(p_examples) --link-doc=$(p_lib)
	dh_installdocs -p$(p_lib)-dbg --link-doc=$(p_lib)
	dh_installdocs -p$(p_examples)-dbg --link-doc=$(p_lib)
	dh_installdocs -p$(p_dummy) --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.canl.c/canl-c-(.*)\.tar\.gz

## canl-c 2.1.7

=== debian/changelog ===
canl-c (2.1.7-3) unstable; urgency=medium

  * Reverse the order of conditional dependencies

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Dec 2016 15:14:18 +0100

canl-c (2.1.7-2) unstable; urgency=medium

  * Build against openssl 1.0 (Closes: #828258)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Dec 2016 11:22:37 +0100

canl-c (2.1.7-1) unstable; urgency=medium

  * Update to version 2.1.7
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 25 Aug 2016 11:34:16 +0200

canl-c (2.1.6-2) unstable; urgency=medium

  * Remove calls to ssl3 openssl functions (Closes: #804602)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 06 Nov 2015 13:31:33 +0100

canl-c (2.1.6-1) unstable; urgency=medium

  * Update to version 2.1.6
  * Ack NMU - many thanks
  * Drop patch canl-c-no-decl.patch merged upstream
  * Implement Multi-Arch support

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 31 Jul 2015 11:02:11 +0200

=== debian/control ===
Source: canl-c
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper, bison, flex, libc-ares-dev, libkrb5-dev, libssl1.0-dev | libssl-dev (<< 1.1), libtool, libtool-bin, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
Standards-Version: 3.9.8
Homepage: http://www.eu-emi.eu/

Package: libcanl-c2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the C part of the EMI caNl -- the Common Authentication Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcanl-c2 (= ${binary:Version}), libkrb5-dev, ${misc:Depends}
Description: Development files for EMI caNl
 This package contains development libraries and header files for EMI caNl.

Package: libcanl-c-examples
Section: misc
Architecture: any
Multi-Arch: foreign
Depends: libcanl-c2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Example programs of EMI caNl
 This package contains client and server examples of EMI caNl.

Package: libcanl-c-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation files for EMI caNl
 This package contains documentation files for EMI caNl.

Package: libcanl-c2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: libcanl-c2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for EMI caNl library
 This package contains debugging symbols for EMI caNl library.

Package: libcanl-c-examples-dbg
Section: debug
Architecture: any
Multi-Arch: foreign
Priority: extra
Depends: libcanl-c-examples (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for EMI caNl examples
 This package contains debugging symbols for EMI caNl client and server
 examples.

## canl-c 2.1.8

=== debian/changelog ===
canl-c (2.1.8-1) unstable; urgency=medium

  * Update to version 2.1.8

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Mar 2017 15:56:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper, bison, flex, libc-ares-dev, libkrb5-dev, libssl1.0-dev | libssl-dev (<< 1.1), libtool, libtool-bin, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
 Standards-Version: 3.9.8
-Homepage: http://www.eu-emi.eu/
+Homepage: https://github.com/CESNET/canl-c
 
 Package: libcanl-c2
 Section: libs

## canl-c 3.0.0

=== Makefile ===
--- 
+++ 
@@ -83,7 +83,8 @@
 #
 # where offset is a sum of maximal released minor's of all previous major's
 #
-offset=0
+# counted minors: 1.0, 2.1
+offset=1
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 major:=${shell \
@@ -96,7 +97,7 @@
 ${LIBCANL}:\
 	canl_err_desc.lo canl.lo canl_err.lo canl_dns.lo canl_ssl.lo \
 	canl_cert.lo canl_cred.lo canl_ocsp.lo\
-	doio.lo evaluate.lo list.lo normalize.lo proxycertinfo.lo\
+	doio.lo evaluate.lo list.lo normalize.lo \
 	scutils.lo sslutils.lo data.lo namespaces_parse.lo namespaces_lex.lo\
 	signing_policy_parse.lo signing_policy_lex.lo
 	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} $+ ${LFLAGS_LIB} -o $@

=== debian/changelog ===
canl-c (3.0.0-6) unstable; urgency=medium

  * Fix used after free warning
  * Add missing dependencies to Makefile
  * Fix incompatible pointer errors (gcc 15) (Closes: #1096410)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 22 Feb 2025 09:25:20 +0100

canl-c (3.0.0-5) unstable; urgency=medium

  * Set FORCE_SOURCE_DATE=1 during build
    - pdflatex ignores SOURCE_DATE_EPOCH otherwise
  * Enable bind-now hardening
  * Correct spelling error reported by lintian (enought → enough)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 01 Mar 2024 17:16:40 +0100

canl-c (3.0.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062038

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:42:18 +0000

canl-c (3.0.0-4) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 13

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 17 Dec 2022 16:20:41 +0100

canl-c (3.0.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:08:19 +0100

canl-c (3.0.0-3) unstable; urgency=medium

  * Add Vcs references to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 29 Mar 2018 08:35:20 +0200

canl-c (3.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 04 Sep 2017 11:31:14 +0200

canl-c (3.0.0-1) experimental; urgency=medium

  * Update to version 3.0.0 - supports openssl 1.1 (Closes: #851090)
  * Drop patch canl-c-nossl3.patch (fixed upstream)
  * Migrate to dbgsym packages
  * Support DEB_BUILD_OPTIONS=nocheck

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 06 Aug 2017 20:59:36 +0200

=== debian/control ===
Source: canl-c
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 bison,
 flex,
 libc-ares-dev,
 libkrb5-dev,
 libssl-dev (>= 1.1),
 libtool,
 libtool-bin,
 pkgconf,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/ellert/canl-c
Vcs-Git: https://salsa.debian.org/ellert/canl-c.git
Homepage: https://github.com/CESNET/canl-c

Package: libcanl-c4t64
Provides: ${t64:Provides}
Replaces: libcanl-c4
Breaks: libcanl-c4 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the C part of the EMI caNl -- the Common Authentication Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcanl-c4t64 (= ${binary:Version}),
 libkrb5-dev,
 ${misc:Depends}
Description: Development files for EMI caNl
 This package contains development libraries and header files for EMI caNl.

Package: libcanl-c-examples
Section: misc
Architecture: any
Multi-Arch: foreign
Depends:
 libcanl-c4t64 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Example programs of EMI caNl
 This package contains client and server examples of EMI caNl.

Package: libcanl-c-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Documentation files for EMI caNl
 This package contains documentation files for EMI caNl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	./configure --root= --libdir=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" FORCE_SOURCE_DATE=1 dh_auto_build

override_dh_auto_clean:
	$(MAKE) clean
	rm -f Makefile.inc config.status canl-c.spec

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Documentation is installed by dh_installdocs
	rm -rf debian/tmp/usr/share/doc
